Bug 137614 - EDITING Mark Invalid Data circles only the top left cell of merged cells
Summary: EDITING Mark Invalid Data circles only the top left cell of merged cells
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Cell-Validity
  Show dependency treegraph
 
Reported: 2020-10-20 09:13 UTC by NISZ LibreOffice Team
Modified: 2020-12-30 09:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Calc with merged cells and invalid content (10.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-10-20 09:13 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Calc (26.99 KB, image/png)
2020-10-20 09:13 UTC, NISZ LibreOffice Team
Details
Example file from Excel with merged cells and invalid content (7.95 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-10-20 09:15 UTC, NISZ LibreOffice Team
Details
For reference: How Excel behaves in a similar setup (26.61 KB, image/png)
2020-10-20 09:15 UTC, NISZ LibreOffice Team
Details
Suggestion (860 bytes, patch)
2020-10-21 23:37 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-10-20 09:13:11 UTC
Created attachment 166532 [details]
Example file from Calc with merged cells and invalid content

Attached example file contains data validation (condiftion: whole numbers >0) for merged cells which were filled with invalid data.
When the Tools – Detective – Mark Invalid Data command is used the top left cell of the merged cells is circled instead of all the merged range.

Steps to reproduce:
    1. Open attached file

Actual results:
Validation circles are around the top left cell of merged ranges.

Expected results:
Validation circles are drawn around all of the merged ranges.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: c064766901722082df0d759c95434c1460fcdba5
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-10-20 09:13:30 UTC
Created attachment 166533 [details]
Screenshot of the problem in Calc
Comment 2 NISZ LibreOffice Team 2020-10-20 09:15:20 UTC
Created attachment 166534 [details]
Example file from Excel with merged cells and invalid content
Comment 3 NISZ LibreOffice Team 2020-10-20 09:15:34 UTC
Created attachment 166535 [details]
For reference: How Excel behaves in a similar setup
Comment 4 Regina Henschel 2020-10-21 23:37:04 UTC
Created attachment 166607 [details]
Suggestion

Like in the attached patch?
Comment 5 Tibor Nagy (NISZ) 2020-11-02 12:18:57 UTC
(In reply to Regina Henschel from comment #4)
> Created attachment 166607 [details]
> Suggestion
> 
> Like in the attached patch?

Thank you for your suggestion!
Comment 6 Commit Notification 2020-11-06 10:52:35 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d7bcf59a51a058ba57e685cfc3e000fec623f716

tdf#137614 sc: fix data circle shape size on merged cells

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 NISZ LibreOffice Team 2020-12-30 09:55:41 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 368c56144aab5794c39d5bc2082d9b3d6d7cebdb
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks for fixing!